#include <OneWire.h>
#include <DallasTemperature.h>
OneWire obiektOneWire(A0); //wykorzystujemy pin A0 Arduino
DallasTemperature czujniki(&obiektOneWire);
int liczbaCzujnikow; DeviceAddress tmpAdresyCzujnikow;

void setup(void)   { //inicjalizacja obiektów
 Serial.begin(9600);  czujniki.begin();
 liczbaCzujnikow = czujniki.getDeviceCount();
 Serial.print("Znalezione czujniki: ");
 Serial.println(liczbaCzujnikow, DEC); Serial.println();
//kolejno sprawdzamy adresy/numery znalezionych czujników:
 for(int i=0;i<liczbaCzujnikow; i++) { //w pętli
  if(czujniki.getAddress(tmpAdresyCzujnikow, i))  	{
	Serial.print("Znalazlem czujnik "); Serial.print(i, DEC);
	Serial.print(" o adresie "); 
	drukujAdres(tmpAdresyCzujnikow); Serial.println(); } } }
 
void loop(void)  {  //rozkaz do wszystkich czujników:
 czujniki.requestTemperatures(); Serial.println();
//potem dla każdego czujnika wypisz jego temperaturę
 for(int i=0;i<liczbaCzujnikow; i++)   { 
  czujniki.getAddress(tmpAdresyCzujnikow, i);
	Serial.print("Czujnik ");
	Serial.print(i,DEC); Serial.print(": ");
	drukujTemperature(tmpAdresyCzujnikow);  }
  delay(10000); } // czekaj 10 sekund
  
// oddzielna funkcja do wypisania temperatury na ekranie
void drukujTemperature(DeviceAddress adres) {
 float tempC = czujniki.getTempC(adres); 
 Serial.print(tempC); Serial.print("\xC2\xB0"); Serial.print("C "); }

// i funkcja wypisująca na ekranie adres
void drukujAdres(DeviceAddress adresik) {
  for (uint8_t i = 0; i < 8; i++)   {
    if (adresik[i] < 16) Serial.print("0");
    Serial.print(adresik[i], HEX); } }
